import Config from '../Config/Config';
import BodyStatus from './Constants/BodyStatus';
import ScrollStatus from './Constants/ScrollStatus';
import Group from './Group';
import Option from './Option';
declare class State {
    groups: Group[];
    focusedIndex: number;
    selectedIndex: number;
    maxVisibleItemsOverride: number;
    maxBodyHeight: number;
    name: string;
    placeholder: string;
    scrollStatus: ScrollStatus;
    bodyStatus: BodyStatus;
    isDisabled: boolean;
    isRequired: boolean;
    isInvalid: boolean;
    isFocused: boolean;
    isUseNativeMode: boolean;
    isScrollable: boolean;
    isSearching: boolean;
    isKeying: boolean;
    private config;
    constructor(stateRaw?: any, config?: Config);
    readonly totalGroups: number;
    readonly lastGroup: Group;
    readonly totalOptions: number;
    readonly selectedOption: Option;
    readonly focusedOption: Option;
    readonly value: string;
    readonly humanReadableValue: string;
    readonly label: string;
    readonly hasPlaceholder: boolean;
    readonly isPlaceholderShown: boolean;
    readonly hasValue: boolean;
    readonly isGrouped: boolean;
    readonly isOpen: boolean;
    readonly isClosed: boolean;
    readonly isOpenAbove: boolean;
    readonly isOpenBelow: boolean;
    readonly isAtTop: boolean;
    readonly isAtBottom: boolean;
    getOptionFromIndex(index: number): Option;
    getOptionIndexFromValue(value: string): number;
}
export default State;
